<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:17 BST 2009 -->
<TITLE>
Constant Field Values (JGraph v5.12.4.2 API Specification)
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Constant Field Values (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="constant-values.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H1>
Constant Field Values</H1>
</CENTER>
<HR SIZE="4" NOSHADE>
<B>Contents</B><UL>
<LI><A HREF="#org.jgraph">org.jgraph.*</A>
</UL>

<A NAME="org.jgraph"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD ALIGN="left"><FONT SIZE="+2">
<B>org.jgraph.*</B></FONT></TD>
</TR>
</TABLE>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.<A HREF="org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.ANTIALIASED_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#ANTIALIASED_PROPERTY">ANTIALIASED_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"antiAliased"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.CROSS_GRID_MODE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#CROSS_GRID_MODE">CROSS_GRID_MODE</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.DOT_GRID_MODE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#DOT_GRID_MODE">DOT_GRID_MODE</A></CODE></TD>
<TD ALIGN="right"><CODE>0</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.EDITABLE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#EDITABLE_PROPERTY">EDITABLE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"editable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.GRAPH_LAYOUT_CACHE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#GRAPH_LAYOUT_CACHE_PROPERTY">GRAPH_LAYOUT_CACHE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"view"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.GRAPH_MODEL_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#GRAPH_MODEL_PROPERTY">GRAPH_MODEL_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"model"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.GRID_COLOR_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#GRID_COLOR_PROPERTY">GRID_COLOR_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"gridColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.GRID_SIZE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#GRID_SIZE_PROPERTY">GRID_SIZE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"gridSize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.GRID_VISIBLE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#GRID_VISIBLE_PROPERTY">GRID_VISIBLE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"gridVisible"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.HANDLE_COLOR_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#HANDLE_COLOR_PROPERTY">HANDLE_COLOR_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"handleColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.HANDLE_SIZE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#HANDLE_SIZE_PROPERTY">HANDLE_SIZE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"handleSize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.INVOKES_STOP_CELL_EDITING_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#INVOKES_STOP_CELL_EDITING_PROPERTY">INVOKES_STOP_CELL_EDITING_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"invokesStopCellEditing"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.LINE_GRID_MODE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#LINE_GRID_MODE">LINE_GRID_MODE</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.LOCKED_HANDLE_COLOR_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#LOCKED_HANDLE_COLOR_PROPERTY">LOCKED_HANDLE_COLOR_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"lockedHandleColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.MARQUEE_HANDLER_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#MARQUEE_HANDLER_PROPERTY">MARQUEE_HANDLER_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"marquee"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.PORTS_SCALED_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#PORTS_SCALED_PROPERTY">PORTS_SCALED_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"portsScaled"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.PORTS_VISIBLE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#PORTS_VISIBLE_PROPERTY">PORTS_VISIBLE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"portsVisible"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.PROPERTY_BACKGROUNDIMAGE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#PROPERTY_BACKGROUNDIMAGE">PROPERTY_BACKGROUNDIMAGE</A></CODE></TD>
<TD ALIGN="right"><CODE>"backgroundImage"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.SCALE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#SCALE_PROPERTY">SCALE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"scale"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.SELECTION_MODEL_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#SELECTION_MODEL_PROPERTY">SELECTION_MODEL_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"selectionModel"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.SELECTIONENABLED_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#SELECTIONENABLED_PROPERTY">SELECTIONENABLED_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"selectionEnabled"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.JGraph.VERSION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/JGraph.html#VERSION">VERSION</A></CODE></TD>
<TD ALIGN="right"><CODE>"JGraph (v5.12.4.2)"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.graph.<A HREF="org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html" title="class in org.jgraph.graph">DefaultGraphModel.GraphModelLayerEdit</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.DefaultGraphModel.GraphModelLayerEdit.BACK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html#BACK">BACK</A></CODE></TD>
<TD ALIGN="right"><CODE>-2</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.DefaultGraphModel.GraphModelLayerEdit.FRONT"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/DefaultGraphModel.GraphModelLayerEdit.html#FRONT">FRONT</A></CODE></TD>
<TD ALIGN="right"><CODE>-1</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.graph.<A HREF="org/jgraph/graph/DefaultGraphSelectionModel.html" title="class in org.jgraph.graph">DefaultGraphSelectionModel</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.DefaultGraphSelectionModel.SELECTED"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/DefaultGraphSelectionModel.html#SELECTED">SELECTED</A></CODE></TD>
<TD ALIGN="right"><CODE>-1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.DefaultGraphSelectionModel.SELECTION_MODE_PROPERTY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/DefaultGraphSelectionModel.html#SELECTION_MODE_PROPERTY">SELECTION_MODE_PROPERTY</A></CODE></TD>
<TD ALIGN="right"><CODE>"selectionMode"</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.graph.<A HREF="org/jgraph/graph/Edge.Routing.html" title="interface in org.jgraph.graph">Edge.Routing</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.Edge.Routing.NO_PREFERENCE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/Edge.Routing.html#NO_PREFERENCE">NO_PREFERENCE</A></CODE></TD>
<TD ALIGN="right"><CODE>-1</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.graph.<A HREF="org/jgraph/graph/GraphConstants.html" title="class in org.jgraph.graph">GraphConstants</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ABSOLUTEX"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ABSOLUTEX">ABSOLUTEX</A></CODE></TD>
<TD ALIGN="right"><CODE>"absoluteX"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ABSOLUTEY"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ABSOLUTEY">ABSOLUTEY</A></CODE></TD>
<TD ALIGN="right"><CODE>"absoluteY"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_CIRCLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_CIRCLE">ARROW_CIRCLE</A></CODE></TD>
<TD ALIGN="right"><CODE>5</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_CLASSIC"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_CLASSIC">ARROW_CLASSIC</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_DIAMOND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_DIAMOND">ARROW_DIAMOND</A></CODE></TD>
<TD ALIGN="right"><CODE>9</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_DOUBLELINE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_DOUBLELINE">ARROW_DOUBLELINE</A></CODE></TD>
<TD ALIGN="right"><CODE>8</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_LINE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_LINE">ARROW_LINE</A></CODE></TD>
<TD ALIGN="right"><CODE>7</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_NONE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_NONE">ARROW_NONE</A></CODE></TD>
<TD ALIGN="right"><CODE>0</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_SIMPLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_SIMPLE">ARROW_SIMPLE</A></CODE></TD>
<TD ALIGN="right"><CODE>4</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ARROW_TECHNICAL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ARROW_TECHNICAL">ARROW_TECHNICAL</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.AUTOSIZE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#AUTOSIZE">AUTOSIZE</A></CODE></TD>
<TD ALIGN="right"><CODE>"autosize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BACKGROUND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BACKGROUND">BACKGROUND</A></CODE></TD>
<TD ALIGN="right"><CODE>"backgroundColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BEGINFILL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BEGINFILL">BEGINFILL</A></CODE></TD>
<TD ALIGN="right"><CODE>"beginFill"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BEGINSIZE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BEGINSIZE">BEGINSIZE</A></CODE></TD>
<TD ALIGN="right"><CODE>"beginSize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BENDABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BENDABLE">BENDABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"bendable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BORDER"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BORDER">BORDER</A></CODE></TD>
<TD ALIGN="right"><CODE>"border"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BORDERCOLOR"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BORDERCOLOR">BORDERCOLOR</A></CODE></TD>
<TD ALIGN="right"><CODE>"bordercolor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.BOUNDS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#BOUNDS">BOUNDS</A></CODE></TD>
<TD ALIGN="right"><CODE>"bounds"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.CHILDRENSELECTABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#CHILDRENSELECTABLE">CHILDRENSELECTABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"childrenSelectable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.CONNECTABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#CONNECTABLE">CONNECTABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"connectable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.CONSTRAINED"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#CONSTRAINED">CONSTRAINED</A></CODE></TD>
<TD ALIGN="right"><CODE>"constrained"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.DASHOFFSET"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#DASHOFFSET">DASHOFFSET</A></CODE></TD>
<TD ALIGN="right"><CODE>"dashOffset"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.DASHPATTERN"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#DASHPATTERN">DASHPATTERN</A></CODE></TD>
<TD ALIGN="right"><CODE>"dashPattern"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.DISCONNECTABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#DISCONNECTABLE">DISCONNECTABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"disconnectable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.EDITABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#EDITABLE">EDITABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"editable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ENDFILL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ENDFILL">ENDFILL</A></CODE></TD>
<TD ALIGN="right"><CODE>"endFill"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ENDSIZE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ENDSIZE">ENDSIZE</A></CODE></TD>
<TD ALIGN="right"><CODE>"endSize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.EXACTSEGMENTRELATIVE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#EXACTSEGMENTRELATIVE">EXACTSEGMENTRELATIVE</A></CODE></TD>
<TD ALIGN="right"><CODE>"labelEnabled"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.EXTRALABELPOSITIONS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#EXTRALABELPOSITIONS">EXTRALABELPOSITIONS</A></CODE></TD>
<TD ALIGN="right"><CODE>"extraLabelPositions"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.EXTRALABELS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#EXTRALABELS">EXTRALABELS</A></CODE></TD>
<TD ALIGN="right"><CODE>"extraLabels"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.FONT"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#FONT">FONT</A></CODE></TD>
<TD ALIGN="right"><CODE>"font"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.FOREGROUND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#FOREGROUND">FOREGROUND</A></CODE></TD>
<TD ALIGN="right"><CODE>"foregroundColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.GRADIENTCOLOR"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#GRADIENTCOLOR">GRADIENTCOLOR</A></CODE></TD>
<TD ALIGN="right"><CODE>"gradientColor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.GROUPOPAQUE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#GROUPOPAQUE">GROUPOPAQUE</A></CODE></TD>
<TD ALIGN="right"><CODE>"groupOpaque"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.HORIZONTAL_ALIGNMENT"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#HORIZONTAL_ALIGNMENT">HORIZONTAL_ALIGNMENT</A></CODE></TD>
<TD ALIGN="right"><CODE>"horizontalAlignment"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.HORIZONTAL_TEXT_POSITION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#HORIZONTAL_TEXT_POSITION">HORIZONTAL_TEXT_POSITION</A></CODE></TD>
<TD ALIGN="right"><CODE>"horizontalTextPosition"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ICON"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ICON">ICON</A></CODE></TD>
<TD ALIGN="right"><CODE>"icon"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.INSET"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#INSET">INSET</A></CODE></TD>
<TD ALIGN="right"><CODE>"inset"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LABELALONGEDGE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LABELALONGEDGE">LABELALONGEDGE</A></CODE></TD>
<TD ALIGN="right"><CODE>"labelAlongEdge"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LABELENABLED"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LABELENABLED">LABELENABLED</A></CODE></TD>
<TD ALIGN="right"><CODE>"labelEnabled"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LABELPOSITION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LABELPOSITION">LABELPOSITION</A></CODE></TD>
<TD ALIGN="right"><CODE>"labelposition"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINEBEGIN"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINEBEGIN">LINEBEGIN</A></CODE></TD>
<TD ALIGN="right"><CODE>"lineBegin"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINECOLOR"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINECOLOR">LINECOLOR</A></CODE></TD>
<TD ALIGN="right"><CODE>"linecolor"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINEEND"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINEEND">LINEEND</A></CODE></TD>
<TD ALIGN="right"><CODE>"lineEnd"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINESTYLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINESTYLE">LINESTYLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"lineStyle"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINEWIDTH"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINEWIDTH">LINEWIDTH</A></CODE></TD>
<TD ALIGN="right"><CODE>"linewidth"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.LINK"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#LINK">LINK</A></CODE></TD>
<TD ALIGN="right"><CODE>"link"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.MOVEABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#MOVEABLE">MOVEABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"moveable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.MOVEABLEAXIS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#MOVEABLEAXIS">MOVEABLEAXIS</A></CODE></TD>
<TD ALIGN="right"><CODE>"moveableAxis"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.MOVEHIDDENCHILDREN"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#MOVEHIDDENCHILDREN">MOVEHIDDENCHILDREN</A></CODE></TD>
<TD ALIGN="right"><CODE>"childrenSelectable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.OFFSET"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#OFFSET">OFFSET</A></CODE></TD>
<TD ALIGN="right"><CODE>"offset"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.OPAQUE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#OPAQUE">OPAQUE</A></CODE></TD>
<TD ALIGN="right"><CODE>"opaque"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.PERMILLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#PERMILLE">PERMILLE</A></CODE></TD>
<TD ALIGN="right"><CODE>1000</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.POINTS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#POINTS">POINTS</A></CODE></TD>
<TD ALIGN="right"><CODE>"points"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.REMOVEALL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#REMOVEALL">REMOVEALL</A></CODE></TD>
<TD ALIGN="right"><CODE>"removeAll"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.REMOVEATTRIBUTES"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#REMOVEATTRIBUTES">REMOVEATTRIBUTES</A></CODE></TD>
<TD ALIGN="right"><CODE>"removeAttributes"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.REPLACEATTRIBUTES"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#REPLACEATTRIBUTES">REPLACEATTRIBUTES</A></CODE></TD>
<TD ALIGN="right"><CODE>"replaceAttributes"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.RESIZE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#RESIZE">RESIZE</A></CODE></TD>
<TD ALIGN="right"><CODE>"resize"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.ROUTING"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#ROUTING">ROUTING</A></CODE></TD>
<TD ALIGN="right"><CODE>"routing"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.SELECTABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#SELECTABLE">SELECTABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"selectable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.SIZE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#SIZE">SIZE</A></CODE></TD>
<TD ALIGN="right"><CODE>"size"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.SIZEABLE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#SIZEABLE">SIZEABLE</A></CODE></TD>
<TD ALIGN="right"><CODE>"sizeable"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.SIZEABLEAXIS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#SIZEABLEAXIS">SIZEABLEAXIS</A></CODE></TD>
<TD ALIGN="right"><CODE>"sizeableAxis"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.STYLE_BEZIER"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#STYLE_BEZIER">STYLE_BEZIER</A></CODE></TD>
<TD ALIGN="right"><CODE>12</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.STYLE_ORTHOGONAL"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#STYLE_ORTHOGONAL">STYLE_ORTHOGONAL</A></CODE></TD>
<TD ALIGN="right"><CODE>11</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.STYLE_SPLINE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#STYLE_SPLINE">STYLE_SPLINE</A></CODE></TD>
<TD ALIGN="right"><CODE>13</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.VALUE"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#VALUE">VALUE</A></CODE></TD>
<TD ALIGN="right"><CODE>"value"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.VERTICAL_ALIGNMENT"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#VERTICAL_ALIGNMENT">VERTICAL_ALIGNMENT</A></CODE></TD>
<TD ALIGN="right"><CODE>"verticalAlignment"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.VERTICAL_TEXT_POSITION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#VERTICAL_TEXT_POSITION">VERTICAL_TEXT_POSITION</A></CODE></TD>
<TD ALIGN="right"><CODE>"verticalTextPosition"</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.X_AXIS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#X_AXIS">X_AXIS</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphConstants.Y_AXIS"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphConstants.html#Y_AXIS">Y_AXIS</A></CODE></TD>
<TD ALIGN="right"><CODE>2</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>

<TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD COLSPAN=3><B>org.jgraph.graph.<A HREF="org/jgraph/graph/GraphSelectionModel.html" title="interface in org.jgraph.graph">GraphSelectionModel</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphSelectionModel.MULTIPLE_GRAPH_SELECTION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphSelectionModel.html#MULTIPLE_GRAPH_SELECTION">MULTIPLE_GRAPH_SELECTION</A></CODE></TD>
<TD ALIGN="right"><CODE>4</CODE></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<A NAME="org.jgraph.graph.GraphSelectionModel.SINGLE_GRAPH_SELECTION"><!-- --></A><TD ALIGN="right"><FONT SIZE="-1">
<CODE>public&nbsp;static&nbsp;final&nbsp;int</CODE></FONT></TD>
<TD ALIGN="left"><CODE><A HREF="org/jgraph/graph/GraphSelectionModel.html#SINGLE_GRAPH_SELECTION">SINGLE_GRAPH_SELECTION</A></CODE></TD>
<TD ALIGN="right"><CODE>1</CODE></TD>
</TR>
</FONT></TD>
</TR>
</TABLE>

<P>

<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="constant-values.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
